import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { UniqueIdService } from '@ironsource/fusion-ui/services/unique-id';
import { SwitcherItem, SwitcherMode } from '@ironsource/fusion-ui/components/switcher/common/entities';
import * as i0 from "@angular/core";
export declare class SwitcherBaseComponent implements OnInit {
    private uniqueService;
    private changeDetectorRef;
    name: string;
    options: SwitcherItem[];
    error: string;
    mode: SwitcherMode;
    set disabled(value: boolean);
    selectedChange: EventEmitter<SwitcherItem>;
    id: string;
    isDisabled: boolean;
    private selected;
    constructor(uniqueService: UniqueIdService, changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    isSelected(item: SwitcherItem): boolean;
    setSelected(selected: SwitcherItem): void;
    propagateChange: (_: SwitcherItem) => void;
    propagateTouched: () => void;
    writeValue(value: SwitcherItem): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwitcherBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SwitcherBaseComponent, never, never, { "name": { "alias": "name"; "required": false; }; "options": { "alias": "options"; "required": false; }; "error": { "alias": "error"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "selectedChange": "selectedChange"; }, never, never, false, never>;
}
